## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ElemTemplateElement::LocatorProxy Class Reference

Inheritance diagram for ElemTemplateElement::LocatorProxy:

[legend]
Collaboration diagram for ElemTemplateElement::LocatorProxy:

[legend]
List of all members.

## Public Member Functions

- LocatorProxy (const ElemTemplateElement &theElement)
- virtual ~LocatorProxy ()
- virtual const XMLCh * getPublicId () const
- virtual const XMLCh * getSystemId () const
- virtual size_type getLineNumber () const
- virtual size_type getColumnNumber () const

## Constructor & Destructor Documentation

ElemTemplateElement::LocatorProxy::LocatorProxy | ( | const ElemTemplateElement & | theElement | ) |

virtual ElemTemplateElement::LocatorProxy::~LocatorProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual size_type ElemTemplateElement::LocatorProxy::getColumnNumber | ( |  | ) | const`[virtual]`

| Implements XalanLocator.

virtual size_type ElemTemplateElement::LocatorProxy::getLineNumber | ( |  | ) | const`[virtual]`

| Implements XalanLocator.

virtual const XMLCh* ElemTemplateElement::LocatorProxy::getPublicId | ( |  | ) | const`[virtual]`

| Implements XalanLocator.

virtual const XMLCh* ElemTemplateElement::LocatorProxy::getSystemId | ( |  | ) | const`[virtual]`

| Implements XalanLocator.

The documentation for this class was generated from the following file:

- ElemTemplateElement.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.